# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= poetry run sphinx-build
SPHINXAPIDOC  ?= poetry run sphinx-apidoc
SPHINXPROJ    = imdb_extract
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile README.rst.jinja2 gen_readme.py

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile API-GEN
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

API-GEN:
	@
	$(SPHINXAPIDOC)			\
	 --module-first				\
	 --force				\
	 --private				\
	 --doc-project $(SPHINXPROJ)		\
	 -o _tmp				\
	../. ../dist/ ../docs/ ../tests/

publish: html
	lftp software_docu -e "mirror -R _build/html/ python/IMDBExtract;exit"
	curl "$(shell idn https://www.google.com/ping?sitemap=https://python.höllmanns.de/IMDBExtract/sitemap.xml)"
